---
id: beta-identity-reference-with-id
title: IdentityReferenceWithId
pagination_label: IdentityReferenceWithId
sidebar_label: IdentityReferenceWithId
sidebar_class_name: pythonsdk
keywords: ['python', 'Python', 'sdk', 'IdentityReferenceWithId', 'BetaIdentityReferenceWithId'] 
slug: /tools/sdk/python/beta/models/identity-reference-with-id
tags: ['SDK', 'Software Development Kit', 'IdentityReferenceWithId', 'BetaIdentityReferenceWithId']
---

# IdentityReferenceWithId


## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**type** | [**DtoType**](dto-type) |  | [optional] 
**id** | **str** | Identity id | [optional] 
}

## Example

```python
from sailpoint.beta.models.identity_reference_with_id import IdentityReferenceWithId

identity_reference_with_id = IdentityReferenceWithId(
type='IDENTITY',
id='5168015d32f890ca15812c9180835d2e'
)

```
[[Back to top]](#) 

